<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>Map</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Map";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Map.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/IA.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/Pattern.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Map.html" target="_top">Frames</a></li>
<li><a href="Map.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class Map" class="title">Class Map</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>model.Map</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Map</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<div class="block">The Class Map.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#model.Map">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/Map.html#Map()">Map</a></strong>()</code>
<div class="block">Instantiates a new map.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#addPiece(model.Piece,%20model.Position)">addPiece</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
        <a href="../model/Position.html" title="class in model">Position</a>&nbsp;position)</code>
<div class="block">Adds the piece to the map and check it with tryAdd.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#getAdjacent(model.Piece,%20model.Position)">getAdjacent</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
           <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Gets the adjacent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#getAdjacentActualPlayer(model.Piece,%20model.Position)">getAdjacentActualPlayer</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                       <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Gets the adjacent actual player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#getAncre(model.Piece,%20model.Position)">getAncre</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
        <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Gets the anchor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#getAncreOtherPlayer(model.Piece,%20model.Position,%20model.GameRule)">getAncreOtherPlayer</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                   <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos,
                   <a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the anchor of other player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../model/Piece.html" title="class in model">Piece</a>[][]</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#getMap()">getMap</a></strong>()</code>
<div class="block">Gets the map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#getNextPiece(model.Player,%20int,%20model.GameRule)">getNextPiece</a></strong>(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p,
            int&nbsp;level,
            <a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the next piece to place for an IA.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#getWeight(model.Piece,%20model.Position,%20int,%20model.GameRule)">getWeight</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
         <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos,
         int&nbsp;level,
         <a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the weight.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#isNextRound(model.Player)">isNextRound</a></strong>(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p)</code>
<div class="block">Checks if the next round will be possible to play.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#setMap(model.Piece[][])">setMap</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>[][]&nbsp;map)</code>
<div class="block">Sets the map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#tryAdd(model.Piece,%20model.Position)">tryAdd</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
      <a href="../model/Position.html" title="class in model">Position</a>&nbsp;position)</code>
<div class="block">Check if the specify piece and position can be place on the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#tryAll(model.Piece,%20model.Position)">tryAll</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
      <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Try all usable piece in all different ways but do not change the initial state of the piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#tryAllKeepRotate(model.Piece,%20model.Position)">tryAllKeepRotate</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><strong><a href="../model/Map.html#tryAllWeight(model.Piece,%20model.Position,%20int,%20int,%20model.GameRule)">tryAllWeight</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
            <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos,
            int&nbsp;level,
            int&nbsp;minWeight,
            <a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Map()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Map</h4>
<pre>public&nbsp;Map()</pre>
<div class="block">Instantiates a new map.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMap</h4>
<pre>public&nbsp;<a href="../model/Piece.html" title="class in model">Piece</a>[][]&nbsp;getMap()</pre>
<div class="block">Gets the map.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the map</dd></dl>
</li>
</ul>
<a name="setMap(model.Piece[][])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMap</h4>
<pre>public&nbsp;void&nbsp;setMap(<a href="../model/Piece.html" title="class in model">Piece</a>[][]&nbsp;map)</pre>
<div class="block">Sets the map.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>map</code> - the new map</dd></dl>
</li>
</ul>
<a name="tryAdd(model.Piece, model.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tryAdd</h4>
<pre>public&nbsp;int&nbsp;tryAdd(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
         <a href="../model/Position.html" title="class in model">Position</a>&nbsp;position)</pre>
<div class="block">Check if the specify piece and position can be place on the map.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>piece</code> - the piece</dd><dd><code>position</code> - the position</dd>
<dt><span class="strong">Returns:</span></dt><dd>-1 if something block the piece, 1 if the piece can be place and 0 otherwise.</dd></dl>
</li>
</ul>
<a name="addPiece(model.Piece, model.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPiece</h4>
<pre>public&nbsp;boolean&nbsp;addPiece(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
               <a href="../model/Position.html" title="class in model">Position</a>&nbsp;position)</pre>
<div class="block">Adds the piece to the map and check it with tryAdd.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>piece</code> - the piece</dd><dd><code>position</code> - the position</dd>
<dt><span class="strong">Returns:</span></dt><dd>true, if successful</dd></dl>
</li>
</ul>
<a name="isNextRound(model.Player)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNextRound</h4>
<pre>public&nbsp;boolean&nbsp;isNextRound(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p)</pre>
<div class="block">Checks if the next round will be possible to play.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the player</dd>
<dt><span class="strong">Returns:</span></dt><dd>true, if there is a next round.</dd></dl>
</li>
</ul>
<a name="tryAll(model.Piece, model.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tryAll</h4>
<pre>public&nbsp;int&nbsp;tryAll(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
         <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</pre>
<div class="block">Try all usable piece in all different ways but do not change the initial state of the piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the p</dd><dd><code>pos</code> - the pos</dd>
<dt><span class="strong">Returns:</span></dt><dd>number of rotation when the piece was possible to place, 10 otherwise..</dd></dl>
</li>
</ul>
<a name="getNextPiece(model.Player, int, model.GameRule)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextPiece</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;getNextPiece(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p,
                              int&nbsp;level,
                              <a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</pre>
<div class="block">Gets the next piece to place for an IA.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the player (IA)</dd><dd><code>level</code> - the level</dd>
<dt><span class="strong">Returns:</span></dt><dd>the next piece</dd></dl>
</li>
</ul>
<a name="tryAllKeepRotate(model.Piece, model.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tryAllKeepRotate</h4>
<pre>public&nbsp;<a href="../model/Position.html" title="class in model">Position</a>&nbsp;tryAllKeepRotate(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                        <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</pre>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the p</dd><dd><code>pos</code> - the pos</dd>
<dt><span class="strong">Returns:</span></dt><dd>the position when the piece was possible to place, null otherwise..</dd></dl>
</li>
</ul>
<a name="tryAllWeight(model.Piece, model.Position, int, int, model.GameRule)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tryAllWeight</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;tryAllWeight(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                              <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos,
                              int&nbsp;level,
                              int&nbsp;minWeight,
                              <a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</pre>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the player</dd><dd><code>pos</code> - the position</dd><dd><code>level</code> - the level</dd><dd><code>minWeight</code> - the min weight</dd><dd><code>gr</code> - the GameRule</dd>
<dt><span class="strong">Returns:</span></dt><dd>the object[], the weight and position of the piece</dd></dl>
</li>
</ul>
<a name="getWeight(model.Piece, model.Position, int, model.GameRule)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeight</h4>
<pre>public&nbsp;int&nbsp;getWeight(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
            <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos,
            int&nbsp;level,
            <a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</pre>
<div class="block">Gets the weight.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the p</dd><dd><code>pos</code> - the pos</dd><dd><code>level</code> - the level</dd><dd><code>gr</code> - the GameRule</dd>
<dt><span class="strong">Returns:</span></dt><dd>the weight</dd></dl>
</li>
</ul>
<a name="getAdjacent(model.Piece, model.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdjacent</h4>
<pre>public&nbsp;int&nbsp;getAdjacent(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
              <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</pre>
<div class="block">Gets the adjacent.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the p</dd><dd><code>pos</code> - the pos</dd>
<dt><span class="strong">Returns:</span></dt><dd>the adjacent</dd></dl>
</li>
</ul>
<a name="getAncre(model.Piece, model.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAncre</h4>
<pre>public&nbsp;int&nbsp;getAncre(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
           <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</pre>
<div class="block">Gets the anchor.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the p</dd><dd><code>pos</code> - the pos</dd>
<dt><span class="strong">Returns:</span></dt><dd>the ancre</dd></dl>
</li>
</ul>
<a name="getAncreOtherPlayer(model.Piece, model.Position, model.GameRule)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAncreOtherPlayer</h4>
<pre>public&nbsp;int&nbsp;getAncreOtherPlayer(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                      <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos,
                      <a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</pre>
<div class="block">Gets the anchor of other player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the player</dd><dd><code>pos</code> - the pos</dd>
<dt><span class="strong">Returns:</span></dt><dd>the ancre</dd></dl>
</li>
</ul>
<a name="getAdjacentActualPlayer(model.Piece, model.Position)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAdjacentActualPlayer</h4>
<pre>public&nbsp;int&nbsp;getAdjacentActualPlayer(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                          <a href="../model/Position.html" title="class in model">Position</a>&nbsp;pos)</pre>
<div class="block">Gets the adjacent actual player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the p</dd><dd><code>pos</code> - the pos</dd>
<dt><span class="strong">Returns:</span></dt><dd>the adjacent actual player</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Map.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/IA.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/Pattern.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Map.html" target="_top">Frames</a></li>
<li><a href="Map.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
